---
title: <ratio>
slug: Web/CSS/ratio
tags:
  - CSS
  - CSS Data Type
  - Data Type
  - Layout
  - Reference
  - Web
---
<div>{{CSSRef}}</div>

<p>The <strong><code>&lt;ratio&gt;</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/CSS_Types">data type</a>, used for describing <a href="/en-US/docs/Web/CSS/@media/aspect-ratio">aspect ratios</a> in <a href="/en-US/docs/Web/CSS/Media_Queries">media queries</a>, denotes the proportion between two unitless values.</p>

<h2 id="Syntax">Syntax</h2>

<p>In Media Queries Level 3, the <code>&lt;ratio&gt;</code> data type consisted of a strictly positive {{cssxref("&lt;integer&gt;")}} followed by a forward slash ('/', Unicode <code>U+002F SOLIDUS</code>) and a second strictly positive {{cssxref("&lt;integer&gt;")}}. Spaces before and after the slash are optional. The first number represents the width, while the second represents the height.</p>

<p>In Media Queries Level 4, the &lt;ratio&gt; date type is updated to consist of a strictly positive {{cssxref("&lt;number&gt;")}} followed by a forward slash ('/', Unicode <code>U+002F SOLIDUS</code>) and a second strictly positive {{cssxref("&lt;number&gt;")}}. In addition a single {{cssxref("&lt;number&gt;")}} as a value is allowable.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Use_in_a_media_query">Use in a media query</h3>

<pre class="brush: css notranslate">@media screen and (min-aspect-ratio: 16/9) { ... }</pre>

<h3 id="Common_aspect_ratios">Common aspect ratios</h3>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col"></th>
   <th scope="col">Ratio</th>
   <th scope="col">Usage</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><img alt="Ratio4_3.png" class="default internal" src="/@api/deki/files/5714/=Ratio4_3.png"></td>
   <td><code>4/3</code></td>
   <td>Traditional TV format in the 20<sup>th</sup> century.</td>
  </tr>
  <tr>
   <td><img alt="Ratio16_9.png" src="/@api/deki/files/5711/=Ratio16_9.png"></td>
   <td><code>16/9</code></td>
   <td>Modern "widescreen" TV format.</td>
  </tr>
  <tr>
   <td><img alt="Ratio1_1.85.png" src="/@api/deki/files/5712/=Ratio1_1.85.png"></td>
   <td><code>185/100</code> = <code>91/50</code></td>
   <td>The most common movie format since the 1960s.</td>
  </tr>
  <tr>
   <td><img alt="Ratio1_2.39.png" src="/@api/deki/files/5713/=Ratio1_2.39.png"></td>
   <td><code>239/100</code><br>
     </td>
   <td>"Widescreen," anamorphic movie format.</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Media Queries', '#values', '&lt;ratio&gt;')}}</td>
   <td>{{Spec2('CSS4 Media Queries')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Media Queries', '#values', '&lt;ratio&gt;')}}</td>
   <td>{{Spec2('CSS3 Media Queries')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.types.ratio")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><code><a href="/en-US/docs/Web/CSS/@media/aspect-ratio">aspect-ratio</a></code> media feature</li>
</ul>
